Skip to content

Commit

Permalink
初始化项目
Browse files Browse the repository at this point in the history
  • Loading branch information
scott2lsb committed Nov 25, 2014
0 parents commit 7189431
Show file tree
Hide file tree
Showing 8,498 changed files with 1,463,944 additions and 0 deletions.
The diff you're trying to view is too large. We only load the first 3000 changed files.
29 changes: 29 additions & 0 deletions .gitignore
Original file line number Diff line number Diff line change
@@ -0,0 +1,29 @@
# built application files
*.apk
*.ap_

# files for the dex VM
*.dex

# Java class files
*.class

# generated files
bin/
gen/
build/
svn/
*.svn

# intellij iml files
*.iml

# gradle and idea files and cache
.gradle
.idea

#random stuff that dropped in my project probably cause of android studio
library/build.xml

# Local configuration file (sdk path, etc)
local.properties
1 change: 1 addition & 0 deletions HEAD
Original file line number Diff line number Diff line change
@@ -0,0 +1 @@
ref: refs/heads/master
22 changes: 22 additions & 0 deletions SVN目录管理说明.txt
Original file line number Diff line number Diff line change
@@ -0,0 +1,22 @@
��Ʒ���ϣ�
http://192.168.0.182:80/svn/tfb_doc
����Ŀ¼��
http://192.168.0.182:80/svn/tfb_ui

һ�����Ź���
��1�������ܱ���Ҫÿ�ܰ�ʱ��Ŀ¼�ϴ��Լ����ܱ���
��2������Ŀ¼�ɲ��Ÿ����˹���������ͬ�¿����������ϲ��ġ�

������Ŀ����
��1��������ϵ��
��Ŀ¼������˾����Ҫ������Ϣ����ͨ������Ʒ��������صĺ��Ĺ���������ϣ��ɲ��Ÿ����˹�����
��2��ϵͳ��ƣ�
��Ŀ¼����ͨ������Ʒ�Ŀ����Ƽ���ʷģ��������ϣ����ӿ���ơ���Ŀ¼�ڷ����µĽӿ��ĵ�����Ҫʵʱ������¡�
��3������������
��Ŀ¼�ڷ����е������Խ���������Ϣ���ӿ����ϣ����С�ҵ��ӿڡ�Ŀ¼���Խ������Ϊ������Ŀ¼��
��4����ҵ��Ϣ��
��Ŀ¼�ڷű���ҵ���������Ϣ����ҵ��ѧϰ�ο���
��5����Ʒ��Ӫ��
��Ŀ¼������Ʒ��װ�������鱨�桢ͳ�Ʒ��������û�����������ٱ�����ά���̲�����������Ϣ��
��6����Ʒ������
�ճ�ʹ����Ƶ����Ŀ¼�����հ汾����Ϊ����Ŀ¼���汾Ŀ¼�к��DZ��汾�����еĹ���ģ����Ŀ¼��
6 changes: 6 additions & 0 deletions config
Original file line number Diff line number Diff line change
@@ -0,0 +1,6 @@
[core]
bare = true
repositoryformatversion = 0
filemode = false
symlinks = false
ignorecase = true
1 change: 1 addition & 0 deletions description
Original file line number Diff line number Diff line change
@@ -0,0 +1 @@
Unnamed repository; edit this file 'description' to name the repository.
15 changes: 15 additions & 0 deletions hooks/applypatch-msg.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,15 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".

. git-sh-setup
test -x "$GIT_DIR/hooks/commit-msg" &&
exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
:
24 changes: 24 additions & 0 deletions hooks/commit-msg.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".

# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

# This example catches duplicate Signed-off-by lines.

test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}
8 changes: 8 additions & 0 deletions hooks/post-update.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,8 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".

exec git update-server-info
14 changes: 14 additions & 0 deletions hooks/pre-applypatch.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,14 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".

. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
:
49 changes: 49 additions & 0 deletions hooks/pre-commit.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,49 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".

if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
fi

# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)

# Redirect output to stderr.
exec 1>&2

# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi

# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --
54 changes: 54 additions & 0 deletions hooks/pre-push.sample
Original file line number Diff line number Diff line change
@@ -0,0 +1,54 @@
#!/bin/sh

# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local sha1> <remote ref> <remote sha1>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).

remote="$1"
url="$2"

z40=0000000000000000000000000000000000000000

IFS=' '
while read local_ref local_sha remote_ref remote_sha
do
if [ "$local_sha" = $z40 ]
then
# Handle delete
:
else
if [ "$remote_sha" = $z40 ]
then
# New branch, examine all commits
range="$local_sha"
else
# Update to existing branch, examine new commits
range="$remote_sha..$local_sha"
fi

# Check for WIP commit
commit=`git rev-list -n 1 --grep '^WIP' "$range"`
if [ -n "$commit" ]
then
echo "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done

exit 0
Loading

0 comments on commit 7189431

Please sign in to comment.